Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"dad5b5dc-fcf7-4b01-93d3-4a6c0490287c","url":null,"userId":"8a1cc459-8295-466f-af2b-61f2b07b5428","userUrl":null,"categoryId":"96d93b91-58b1-46e8-8599-97bd16fbc994","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-25T06:19:37.1287704+00:00","lastModifiedDateTime":"2026-10-26T02:19:37.1287704+00:00","availableFrom":"2026-10-26T06:19:37","startDateTimeZone":null,"availableUntil":"2026-10-27T06:19:37","endDateTimeZone":null,"medias":[{"id":"8e0db40c-91c5-4173-ae4d-abb0acf510b9","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"8498e7da-babd-45ed-9d86-81f26cfe30a1","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"4783edaa-7930-415a-8e3e-b527c268f484","url":null},{"type":"Department","name":"Department name example","id":"23d1f941-53a3-4e9c-ba78-dd7697dc5448","url":null},{"type":"User group","name":"User group name example","id":"ee60225f-7041-42c1-be91-e75a7a6de060","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"6aa25db1-9bf6-4d79-8b87-88bf37b5e14f"}],"userGroups":[{"url":null,"name":"User group name example","id":"016efd93-487f-4659-8480-c9239b2c4e74"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string